Subject: Re: difficulty getting ddrescue to install properly
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Fri, 6 Nov 2020 21:17:29 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2020-11-05 19:24, Marilo via Cygwin wrote:
> I've used ddrescue in the past but I can't seem to install it now!
> 
> I ran https://cygwin.com/setup-x86_64.exe and installed ddrescue
> 
> In the dropdown under choose packages, I choose "full" so they all show and I choose "ddrescue" it's 1.25-1 and I click it so it installs so it shows "keep". And I click next and it claims to install. I haven't always looked at the version in the past but that kind of procedure has always installed that and things in the past.
> 
> But then here I can't get ddrescue to run!
> 
> I'm on Win7.

What are your options for running the Cygwin Setup program and your answers
input to dialogue box entries?

Check /var/log/setup.log.full for ddrescue install or errors and if that shows
nothing check /var/log/setup.log, which is a summary of all Cygwin Setup program
runs ever completed under that Cygwin instance.

Did you run the Cygwin Setup program to install ddrescue using the same Cygwin
instance root directory as your usual working instance, is that Cygwin instance
root directory C:/Cygwin, and are you running interactively under that same
Cygwin instance?

How are you starting bash, is it Cygwin bash, and which terminal are you running
under?

Running:
	$ ps
	  PID   PPID   PGID  WINPID   TTY     UID    STIME COMMAND
	29440  64174  29440    1880  pty0  ###### 21:09:16 /usr/bin/ps
	64174  64173  64174    6140  pty0  ######   Nov  2 /usr/bin/bash
	64173      1  64173    4148  ?     ######   Nov  2 /usr/bin/mintty
	$ which bash
	/usr/bin/bash
	$ uname -srvmo
	CYGWIN_NT-10.0 3.1.7(0.340/5/3) 2020-08-22 17:48 x86_64 Cygwin
	$ cygpath -alm /
	C:/cygwin
	$ grep -A1 ^last-cache /etc/setup/setup.rc
	last-cache
        	C:/...
	$ regtool -v list /proc/registry/HKEY_LOCAL_MACHINE/SOFTWARE/Cygwin\/Installations/
	f031669020b3f992 (REG_SZ) = "\??\C:\cygwin"
	$ regtool -v list /proc/registry/HKEY_LOCAL_MACHINE/SOFTWARE/Cygwin\/setup/
	rootdir (REG_SZ) = "C:\cygwin"
	$ cygcheck -f /usr/bin/ddrescue
	ddrescue-1.25-1
	$ cygcheck -c ddrescue
	Cygwin Package Information
	Package              Version        Status
	ddrescue             1.25-1         OK
	$ cygcheck ddrescue
	Found: C:\cygwin\bin\ddrescue.exe
	C:\cygwin\bin\ddrescue.exe
	  C:\cygwin\bin\cygwin1.dll
	    C:\Windows\system32\KERNEL32.dll
	      C:\Windows\system32\ntdll.dll
	      C:\Windows\system32\KERNELBASE.dll
	  C:\cygwin\bin\cyggcc_s-seh-1.dll
	  C:\cygwin\bin\cygstdc++-6.dll

and posting your results might give us some useful information,
also following the below may get you more useful responses:

> Problem reports:      https://cygwin.com/problems.html

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple